﻿using Microsoft.EntityFrameworkCore;
using NDB.Infrastructure.DatabaseMigration.DbContexts;
using System.Threading.Tasks;

namespace NDB.Infrastructure.DatabaseMigration.Repositories
{
    internal class MigrationRepository : IMigrationRepository
    {
        private readonly MigrationDbContext _dbContext;

        public MigrationRepository(MigrationDbContext dbContext)
        {
            _dbContext = dbContext;
        }

        public async Task ExecuteSqlRaw(string sqlRaw)
        {
            await _dbContext.Database.ExecuteSqlRawAsync(sqlRaw);
        }
    }
}
